SVNAdminPath (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.admin.SVNAdminPath class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.admin
Class SVNAdminPath

    java.lang.Object
      org.tmatesoft.svn.core.wc.admin.SVNAdminPath

public class SVNAdminPath
extends Object

The SVNAdminPath is used to pass path information to ISVNHistoryHandler and ISVNTreeHandler

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`SVNAdminPath(String path, String nodeID, int treeDepth, boolean isDir)` Constructs a new instance of this class that is intended for `ISVNTreeHandler`.
`SVNAdminPath(String path, String nodeID, long revision)` Constructs a new instance of this class that is intended for `ISVNHistoryHandler`.

Method Summary
`String` | `getNodeID()` Returns a node revision id.
`String` | `getPath()` Returns an absolute path.
`long` | `getRevision()` Returns a revision number.
`int` | `getTreeDepth()` Returns a tree depth for this path which is relative to the depth of the `SVNLookClient.doGetTree(...)`
`boolean` | `isDir()` Says whether `path` is a directory or a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNAdminPath

    public SVNAdminPath(String path,
                        String nodeID,
                        long revision)

  Constructs a new instance of this class that is intended for `ISVNHistoryHandler`.

Parameters:
  `path` - an absolute repository path
  `nodeID` - a node revision id (optional)
  `revision` - a revision

### SVNAdminPath

    public SVNAdminPath(String path,
                        String nodeID,
                        int treeDepth,
                        boolean isDir)

  Constructs a new instance of this class that is intended for `ISVNTreeHandler`.

Parameters:
  `path` - an absolute repository path
  `nodeID` - a node revision id (optional)
  `treeDepth` - the depth at which `path` is located in the tree
  `isDir` - says whether `path` is a directory or a file

Method Detail

### isDir

    public boolean isDir()

  Says whether `path` is a directory or a file. This information is relevant only for `ISVNTreeHandler`.

  Returns:
    true for a directory, false for a file

### getNodeID

    public String getNodeID()

  Returns a node revision id. This information is relevant for both `ISVNTreeHandler` and `ISVNHistoryHandler`.

  Returns:
    a node revision id

### getPath

    public String getPath()

  Returns an absolute path.

  Returns:
    an absolute path that starts with `'/'`

### getRevision

    public long getRevision()

  Returns a revision number. This information is relevant only for `ISVNHistoryHandler`.

  Returns:
    a revision number

### getTreeDepth

    public int getTreeDepth()

  Returns a tree depth for this path which is relative to the depth of the `SVNLookClient.doGetTree(...)` target path. Target path which is passed to `SVNLookClient.doGetTree(...)` starts at depth 0. Then depth is incremented with every other segment of path.

  This information is relevant only for `ISVNTreeHandler`.

  Returns:
    a tree depth

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.